// ==UserScript==
// @name     Hidebar Sider
// @description Hides the "Recommended videos" sidebar on Invidious instances.
// @version  1
// @grant    none
// @include  http*
// ==/UserScript==

let recommendedSidebarXpath = "/html/body/div/div/div[5]/div[3]";
let recommendedSidebar = document.evaluate(
  recommendedSidebarXpath,
  document,
  null,
  XPathResult.FIRST_ORDERED_NODE_TYPE,
  null,
).singleNodeValue;

if (recommendedSidebar != null) {
  recommendedSidebar.setAttribute("hidden", true);
}
